<?xml version="1.0" encoding="ISO-8859-1"?>
<document xmlns:lxslt="http://xml.apache.org/xslt">
<properties><title>StatCVS Developers: Lukasz Pekacki</title></properties>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
    <meta name="Generator" content="StatCVS 0.4.0"/>
    <link rel="stylesheet" href="objectlab-statcvs-xdoc.css" type="text/css"/>
  </head>

<body><section name="StatCVS Developers: Lukasz Pekacki">
<div id="parentlink">&#171; <a href="index.html">Development Statistics for  StatCVS</a> &#171; <a href="developers.html">Developers</a></div>
<dl class="attributes">
    <dt>Login name:</dt>
    <dd>lukasz</dd>
    <dt>Real name:</dt>
    <dd>Lukasz Pekacki</dd>
    <dt>Home Page:</dt>
    <dd><a href="http://www.pekacki.de/">http://www.pekacki.de/</a></dd>
    <dt>Total Commits:</dt>
    <dd>392 (12.2%)</dd>
    <dt>Lines of Code:</dt>
    <dd>8627 (12.1%)</dd>
    <dt>Most Recent Commit:</dt>
    <dd><span class="date">2003-03-25 01:20</span></dd>
</dl>

<div class="section">
<subsection name ="Activity by Clock Time">
<p class="chart"><img src="activity_time_lukasz.png" alt="Activity by Hour of Day for Lukasz Pekacki" width="512" height="320" /></p><p class="chart"><img src="activity_day_lukasz.png" alt="Activity by Day of Week for Lukasz Pekacki" width="512" height="320" /></p></subsection></div>
<div class="section">
<subsection name ="Activity in Directories">
  <table  class="statCvsTable" rules="groups" summary="Overview of this author's activities in different directories">
    <colgroup align="left"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <thead>
      <tr>
        <th>Directory</th>
        <th>Changes</th>
        <th>Lines of Code</th>
        <th>Lines per Change</th>
      </tr>
    </thead>
    <tfoot>
      <tr>
        <th>Totals</th>
        <td>392 (100.0%)</td>
        <td>8627 (100.0%)</td>
        <td>22.0</td>
      </tr>
    </tfoot>
    <tbody>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_model.html" class="directory">statcvs/src/net/sf/statcvs/model/</a></th>
        <td>98 (25.0%)</td>
        <td>1804 (20.9%)</td>
        <td>18.4</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_model.html" class="directory">statcvs/tests-src/net/sf/statcvs/model/</a></th>
        <td>17 (4.3%)</td>
        <td>1558 (18.1%)</td>
        <td>91.6</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_output.html" class="directory">statcvs/src/net/sf/statcvs/output/</a></th>
        <td>61 (15.6%)</td>
        <td>1008 (11.7%)</td>
        <td>16.5</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs.html" class="directory">statcvs/</a></th>
        <td>31 (7.9%)</td>
        <td>914 (10.6%)</td>
        <td>29.4</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_renderer.html" class="directory">statcvs/src/net/sf/statcvs/renderer/</a></th>
        <td>35 (8.9%)</td>
        <td>669 (7.8%)</td>
        <td>19.1</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs.html" class="directory">statcvs/src/net/sf/statcvs/</a></th>
        <td>56 (14.3%)</td>
        <td>597 (6.9%)</td>
        <td>10.6</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_util.html" class="directory">statcvs/src/net/sf/statcvs/util/</a></th>
        <td>27 (6.9%)</td>
        <td>550 (6.4%)</td>
        <td>20.3</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_input.html" class="directory">statcvs/tests-src/net/sf/statcvs/input/</a></th>
        <td>6 (1.5%)</td>
        <td>459 (5.3%)</td>
        <td>76.5</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_util.html" class="directory">statcvs/tests-src/net/sf/statcvs/util/</a></th>
        <td>5 (1.3%)</td>
        <td>376 (4.4%)</td>
        <td>75.2</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_src_net_sf_statcvs_input.html" class="directory">statcvs/src/net/sf/statcvs/input/</a></th>
        <td>49 (12.5%)</td>
        <td>311 (3.6%)</td>
        <td>6.3</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs_renderer.html" class="directory">statcvs/tests-src/net/sf/statcvs/renderer/</a></th>
        <td>4 (1.0%)</td>
        <td>300 (3.5%)</td>
        <td>75.0</td>
      </tr>
      <tr  class="even">
        <th><a href="dir_statcvs_tests-src_net_sf_statcvs.html" class="directory">statcvs/tests-src/net/sf/statcvs/</a></th>
        <td>2 (0.5%)</td>
        <td>76 (0.9%)</td>
        <td>38.0</td>
      </tr>
      <tr  class="odd">
        <th><a href="dir_statcvs_src_net_sf_statcvs_ant.html" class="directory">statcvs/src/net/sf/statcvs/ant/</a></th>
        <td>1 (0.3%)</td>
        <td>5 (0.1%)</td>
        <td>5.0</td>
      </tr>
    </tbody>
  </table>

<p class="chart"><img src="directory_sizes_lukasz.png" alt="Activity of Lukasz Pekacki" width="720" height="450" /></p></subsection></div>
<div class="section">
<subsection name ="Most Recent Commits">
<dl class="commitlist">
  <dt><a name="20"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-03-25 01:20</span>
  </dt>
  <dd>
    <p class="comment">
Minor code review tasks. <br />
<br />
Added some javadocs<br />
<br />
Fixed some unhandled Exceptions
    </p>
    <p class="commitdetails"><strong>76</strong> lines of code changed in <span class="files">12 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Main.java?r1=1.26&amp;r2=1.27" class="webrepository">Main.java</a>&#160;<span class="change">(+8&#160;-4)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/ant</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/ant/StatCvsTask.java?r1=1.1&amp;r2=1.2" class="webrepository">StatCvsTask.java</a>&#160;<span class="change">(+5&#160;-4)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsRevisionParser.java?r1=1.22&amp;r2=1.23" class="webrepository">CvsRevisionParser.java</a>&#160;<span class="change">(+8&#160;-2)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CommitLogPage.java?rev=1.7&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitLogPage.java</a>&#160;<span class="change">(+2&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ConfigurationOptions.java?r1=1.2&amp;r2=1.3" class="webrepository">ConfigurationOptions.java</a>&#160;<span class="change">(+8&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/DefaultCssHandler.java?r1=1.2&amp;r2=1.3" class="webrepository">DefaultCssHandler.java</a>&#160;<span class="change">(+2&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/LocalFileCssHandler.java?r1=1.2&amp;r2=1.3" class="webrepository">LocalFileCssHandler.java</a>&#160;<span class="change">(+3&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ModulePage.java?rev=1.8&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">ModulePage.java</a>&#160;<span class="change">(+2&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/UrlCssHandler.java?r1=1.2&amp;r2=1.3" class="webrepository">UrlCssHandler.java</a>&#160;<span class="change">(+2&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/UserPage.java?rev=1.6&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">UserPage.java</a>&#160;<span class="change">(+2&#160;-2)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/FileBlockParserTest.java?r1=1.5&amp;r2=1.6" class="webrepository">FileBlockParserTest.java</a>&#160;<span class="change">(+14&#160;-2)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/OutputUtilsTest.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">OutputUtilsTest.java</a>&#160;<span class="change">(+20&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="19"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-03-25 01:17</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.10</span></span>
  </dt>
  <dd>
    <p class="comment">
Remove unused class Agent.java
    </p>
    <p class="commitdetails"><strong>0</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Agent.java?rev=1.9&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">Agent.java</a>&#160;<span class="del">(del)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="18"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-03-23 14:32</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.2</span></span>
  </dt>
  <dd>
    <p class="comment">
No longer necesarry file deleted.
    </p>
    <p class="commitdetails"><strong>0</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/logging-silent.properties?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">logging-silent.properties</a>&#160;<span class="del">(del)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="17"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-03-23 04:07</span>
  </dt>
  <dd>
    <p class="comment">
logging re-paired.<br />
<br />
Default logging shows only ERROR and WARNING level messages; it can be enabled by the "-verbose" command line option<br />
<br />
Verbose logging shows ERROR, WARNING and INFO level messages; it can be enabled by the "-debug" command line option<br />
<br />
Debug logging shows messages of all levels ERROR - FINEST.
    </p>
    <p class="commitdetails"><strong>34</strong> lines of code changed in <span class="files">3 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/logging-debug.properties?r1=1.1&amp;r2=1.2" class="webrepository">logging-debug.properties</a>&#160;<span class="change">(+10&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/logging-verbose.properties?r1=1.1&amp;r2=1.2" class="webrepository">logging-verbose.properties</a>&#160;<span class="change">(+10&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/logging.properties?r1=1.4&amp;r2=1.5" class="webrepository">logging.properties</a>&#160;<span class="change">(+14&#160;-16)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="16"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-03-18 10:33</span>
  </dt>
  <dd>
    <p class="comment">
License changed to LGPL
    </p>
    <p class="commitdetails"><strong>1675</strong> lines of code changed in <span class="files">79 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/.cvsignore?r1=1.9&amp;r2=1.10" class="webrepository">.cvsignore</a>&#160;<span class="change">(+2&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/license.txt?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">license.txt</a>&#160;<span class="change">(+413&#160;-249)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Agent.java?rev=1.9&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">Agent.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Main.java?r1=1.21&amp;r2=1.22" class="webrepository">Main.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/Messages.java?r1=1.6&amp;r2=1.7" class="webrepository">Messages.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/statcvs.properties?r1=1.31&amp;r2=1.32" class="webrepository">statcvs.properties</a>&#160;<span class="change">(+11&#160;-1)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsFileBlockParser.java?r1=1.24&amp;r2=1.25" class="webrepository">CvsFileBlockParser.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsLogParser.java?rev=1.23&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsLogParser.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsRevisionParser.java?r1=1.20&amp;r2=1.21" class="webrepository">CvsRevisionParser.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/LogSyntaxException.java?r1=1.10&amp;r2=1.11" class="webrepository">LogSyntaxException.java</a>&#160;<span class="change">(+21&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/RepositoryException.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RepositoryException.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/RepositoryFileManager.java?r1=1.16&amp;r2=1.17" class="webrepository">RepositoryFileManager.java</a>&#160;<span class="change">(+17&#160;-14)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/Commit.java?r1=1.6&amp;r2=1.7" class="webrepository">Commit.java</a>&#160;<span class="change">(+23&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CommitListBuilder.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitListBuilder.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsContent.java?rev=1.38&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsContent.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsFile.java?rev=1.26&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsFile.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsModule.java?rev=1.21&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsModule.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsRevision.java?rev=1.29&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsRevision.java</a>&#160;<span class="change">(+16&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsTree.java?rev=1.16&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsTree.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsTreeIterator.java?rev=1.5&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsTreeIterator.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/DummyRepositoryFileManager.java?rev=1.10&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">DummyRepositoryFileManager.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/FileCountIterator.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FileCountIterator.java</a>&#160;<span class="change">(+13&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/FilesRevisionIterator.java?rev=1.4&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FilesRevisionIterator.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/LinesOfCodeIterator.java?rev=1.19&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">LinesOfCodeIterator.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/ListRevisionIterator.java?rev=1.5&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">ListRevisionIterator.java</a>&#160;<span class="change">(+16&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/RevisionDateComparator.java?rev=1.10&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionDateComparator.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/RevisionFilterIterator.java?rev=1.6&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionFilterIterator.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/RevisionIterator.java?rev=1.12&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionIterator.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/RevisionIteratorSummary.java?rev=1.9&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionIteratorSummary.java</a>&#160;<span class="change">(+16&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/RevisionLimitIterator.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionLimitIterator.java</a>&#160;<span class="change">(+16&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/RevisionPredicate.java?rev=1.4&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionPredicate.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/RevisionSortIterator.java?rev=1.13&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionSortIterator.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/StatCvsTableModel.java?rev=1.5&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">StatCvsTableModel.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/TimeSpanPredicate.java?rev=1.4&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">TimeSpanPredicate.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/UserPredicate.java?rev=1.8&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">UserPredicate.java</a>&#160;<span class="change">(+15&#160;-13)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ArgumentException.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">ArgumentException.java</a>&#160;<span class="change">(+16&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CPUPage.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CPUPage.java</a>&#160;<span class="change">(+23)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CommandLineException.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommandLineException.java</a>&#160;<span class="change">(+16&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CommandLineOptions.java?rev=1.21&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommandLineOptions.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CommandLineParser.java?r1=1.2&amp;r2=1.3" class="webrepository">CommandLineParser.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CommitLogPage.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitLogPage.java</a>&#160;<span class="change">(+22)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/FCPage.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FCPage.java</a>&#160;<span class="change">(+23&#160;-3)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/HTMLOutput.java?rev=1.67&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">HTMLOutput.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/HTMLPage.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">HTMLPage.java</a>&#160;<span class="change">(+23)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/HTMLTagger.java?rev=1.24&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">HTMLTagger.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/IndexPage.java?rev=1.5&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">IndexPage.java</a>&#160;<span class="change">(+23)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/LOCPage.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">LOCPage.java</a>&#160;<span class="change">(+23)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ModulePage.java?rev=1.4&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">ModulePage.java</a>&#160;<span class="change">(+23)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ModuleSizesPage.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">ModuleSizesPage.java</a>&#160;<span class="change">(+23)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/UserPage.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">UserPage.java</a>&#160;<span class="change">(+23)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/renderer</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/ChartRenderer.java?rev=1.10&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">ChartRenderer.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/CommitLogRenderer.java?rev=1.5&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitLogRenderer.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/FcChart.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FcChart.java</a>&#160;<span class="change">(+13&#160;-16)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/FileCollectionFormatter.java?r1=1.5&amp;r2=1.6" class="webrepository">FileCollectionFormatter.java</a>&#160;<span class="change">(+16&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/LOCChart.java?rev=1.22&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">LOCChart.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/PieChart.java?rev=1.25&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">PieChart.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/TableRenderer.java?r1=1.25&amp;r2=1.26" class="webrepository">TableRenderer.java</a>&#160;<span class="change">(+15&#160;-13)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/ConsoleOutErrHandler.java?r1=1.1&amp;r2=1.2" class="webrepository">ConsoleOutErrHandler.java</a>&#160;<span class="change">(+16&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/ConsoleOutHandler.java?r1=1.1&amp;r2=1.2" class="webrepository">ConsoleOutHandler.java</a>&#160;<span class="change">(+16&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/DateUtils.java?rev=1.10&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">DateUtils.java</a>&#160;<span class="change">(+28&#160;-22)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FileUtils.java?r1=1.12&amp;r2=1.13" class="webrepository">FileUtils.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/IntegerMap.java?r1=1.12&amp;r2=1.13" class="webrepository">IntegerMap.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/LogFormatter.java?r1=1.5&amp;r2=1.6" class="webrepository">LogFormatter.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/OutputUtils.java?rev=1.4&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">OutputUtils.java</a>&#160;<span class="change">(+23&#160;-1)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/AllTests.java?r1=1.1&amp;r2=1.2" class="webrepository">AllTests.java</a>&#160;<span class="change">(+13&#160;-11)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/AllTests.java?r1=1.1&amp;r2=1.2" class="webrepository">AllTests.java</a>&#160;<span class="change">(+13&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/FileBlockParserTest.java?r1=1.2&amp;r2=1.3" class="webrepository">FileBlockParserTest.java</a>&#160;<span class="change">(+13&#160;-11)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AllTests.java?r1=1.2&amp;r2=1.3" class="webrepository">AllTests.java</a>&#160;<span class="change">(+13&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitListBuilderTest.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitListBuilderTest.java</a>&#160;<span class="change">(+13&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?r1=1.1&amp;r2=1.2" class="webrepository">CommitTest.java</a>&#160;<span class="change">(+13&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?r1=1.1&amp;r2=1.2" class="webrepository">CvsContentTest.java</a>&#160;<span class="change">(+13&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.1&amp;r2=1.2" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+13&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsTreeTest.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsTreeTest.java</a>&#160;<span class="change">(+15&#160;-13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/FileCountTest.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FileCountTest.java</a>&#160;<span class="change">(+37&#160;-9)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionIteratorTest.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionIteratorTest.java</a>&#160;<span class="change">(+13&#160;-11)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/renderer</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/renderer/AllTests.java?r1=1.1&amp;r2=1.2" class="webrepository">AllTests.java</a>&#160;<span class="change">(+13&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/renderer/FileCollectionFormatterTest.java?r1=1.1&amp;r2=1.2" class="webrepository">FileCollectionFormatterTest.java</a>&#160;<span class="change">(+13&#160;-11)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/AllTests.java?r1=1.1&amp;r2=1.2" class="webrepository">AllTests.java</a>&#160;<span class="change">(+13&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/IntegerMapTest.java?r1=1.1&amp;r2=1.2" class="webrepository">IntegerMapTest.java</a>&#160;<span class="change">(+13&#160;-11)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="15"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-03-18 07:24</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.2</span></span>
  </dt>
  <dd>
    <p class="comment">
Test for new functions added
    </p>
    <p class="commitdetails"><strong>29</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/FileBlockParserTest.java?r1=1.1&amp;r2=1.2" class="webrepository">FileBlockParserTest.java</a>&#160;<span class="change">(+28&#160;-1)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AllTests.java?r1=1.1&amp;r2=1.2" class="webrepository">AllTests.java</a>&#160;<span class="change">(+1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="14"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-03-18 07:23</span>
  </dt>
  <dd>
    <p class="comment">
File Count Chart added to Suite
    </p>
    <p class="commitdetails"><strong>40</strong> lines of code changed in <span class="files">4 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/statcvs.properties?r1=1.30&amp;r2=1.31" class="webrepository">statcvs.properties</a>&#160;<span class="change">(+25&#160;-2)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsFileBlockParser.java?r1=1.23&amp;r2=1.24" class="webrepository">CvsFileBlockParser.java</a>&#160;<span class="change">(+9&#160;-4)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/HTMLOutput.java?rev=1.66&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">HTMLOutput.java</a>&#160;<span class="change">(+3&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/IndexPage.java?rev=1.4&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">IndexPage.java</a>&#160;<span class="change">(+3&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="13"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-03-18 07:22</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.1</span></span>
  </dt>
  <dd>
    <p class="comment">
File Count functionaliy and Chart added
    </p>
    <p class="commitdetails"><strong>55</strong> lines of code changed in <span class="files">4 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/FileCountIterator.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FileCountIterator.java</a>&#160;<span class="new">(new&#160;11)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/FCPage.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FCPage.java</a>&#160;<span class="new">(new&#160;3)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/renderer</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/FcChart.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FcChart.java</a>&#160;<span class="new">(new&#160;32)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/FileCountTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FileCountTest.java</a>&#160;<span class="new">(new&#160;9)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="12"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-02-04 06:59</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.5</span></span>
  </dt>
  <dd>
    <p class="comment">
Add test classes path to the classpath
    </p>
    <p class="commitdetails"><strong>1</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/.classpath?r1=1.4&amp;r2=1.5" class="webrepository">.classpath</a>&#160;<span class="change">(+1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="11"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-02-04 06:58</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.1</span></span>
  </dt>
  <dd>
    <p class="comment">
Move all test classes out of their directories into the<br />
<br />
new test dircetory test-src
    </p>
    <p class="commitdetails"><strong>2476</strong> lines of code changed in <span class="files">14 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/AllTests.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">AllTests.java</a>&#160;<span class="new">(new&#160;63)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/AllTests.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">AllTests.java</a>&#160;<span class="new">(new&#160;47)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/input/FileBlockParserTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FileBlockParserTest.java</a>&#160;<span class="new">(new&#160;344)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AllTests.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">AllTests.java</a>&#160;<span class="new">(new&#160;49)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitListBuilderTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitListBuilderTest.java</a>&#160;<span class="new">(new&#160;13)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitTest.java</a>&#160;<span class="new">(new&#160;226)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsContentTest.java</a>&#160;<span class="new">(new&#160;314)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsFileTest.java</a>&#160;<span class="new">(new&#160;339)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsTreeTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsTreeTest.java</a>&#160;<span class="new">(new&#160;58)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionIteratorTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionIteratorTest.java</a>&#160;<span class="new">(new&#160;419)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/renderer</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/renderer/AllTests.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">AllTests.java</a>&#160;<span class="new">(new&#160;46)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/renderer/FileCollectionFormatterTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FileCollectionFormatterTest.java</a>&#160;<span class="new">(new&#160;228)</span>
      </li>
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/AllTests.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">AllTests.java</a>&#160;<span class="new">(new&#160;45)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/util/IntegerMapTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">IntegerMapTest.java</a>&#160;<span class="new">(new&#160;285)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="10"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-02-04 06:51</span>
  </dt>
  <dd>
    <p class="comment">
Move all test classes out of their directories into the<br />
<br />
new test dircetory test-src
    </p>
    <p class="commitdetails"><strong>0</strong> lines of code changed in <span class="files">14 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/AllTests.java?rev=1.13&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">AllTests.java</a>&#160;<span class="del">(del)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/AllTests.java?rev=1.10&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">AllTests.java</a>&#160;<span class="del">(del)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/FileBlockParserTest.java?rev=1.21&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FileBlockParserTest.java</a>&#160;<span class="del">(del)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/AllTests.java?rev=1.14&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">AllTests.java</a>&#160;<span class="del">(del)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CommitListBuilderTest.java?rev=1.4&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitListBuilderTest.java</a>&#160;<span class="del">(del)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CommitTest.java?rev=1.6&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitTest.java</a>&#160;<span class="del">(del)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsContentTest.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsContentTest.java</a>&#160;<span class="del">(del)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsFileTest.java?rev=1.8&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsFileTest.java</a>&#160;<span class="del">(del)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsTreeTest.java?rev=1.18&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsTreeTest.java</a>&#160;<span class="del">(del)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/RevisionIteratorTest.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionIteratorTest.java</a>&#160;<span class="del">(del)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/renderer</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/AllTests.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">AllTests.java</a>&#160;<span class="del">(del)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/FileCollectionFormatterTest.java?rev=1.4&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">FileCollectionFormatterTest.java</a>&#160;<span class="del">(del)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/AllTests.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">AllTests.java</a>&#160;<span class="del">(del)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/IntegerMapTest.java?rev=1.7&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">IntegerMapTest.java</a>&#160;<span class="del">(del)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="9"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2003-02-04 06:43</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.19</span></span>
  </dt>
  <dd>
    <p class="comment">
[668676] bug fixed by applying  replaceBadCharacters function<br />
<br />
on every username. mapping of bad characters to good characters<br />
<br />
implemented via static char[] in CvsRevisionParser class
    </p>
    <p class="commitdetails"><strong>20</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsRevisionParser.java?r1=1.18&amp;r2=1.19" class="webrepository">CvsRevisionParser.java</a>&#160;<span class="change">(+20&#160;-4)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="8"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2002-12-07 04:52</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.9</span></span>
  </dt>
  <dd>
    <p class="comment">
ignore even more:<br />
<br />
html, png, css files
    </p>
    <p class="commitdetails"><strong>4</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/.cvsignore?r1=1.8&amp;r2=1.9" class="webrepository">.cvsignore</a>&#160;<span class="change">(+4)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="7"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2002-12-07 04:52</span>
  </dt>
  <dd>
    <p class="comment">
new log file added
    </p>
    <p class="commitdetails"><strong>15</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/logging-silent.properties?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">logging-silent.properties</a>&#160;<span class="new">(new)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/logging.properties?r1=1.3&amp;r2=1.4" class="webrepository">logging.properties</a>&#160;<span class="change">(+15&#160;-4)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="6"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2002-12-07 04:50</span>
  </dt>
  <dd>
    <p class="comment">
code conventions fixed
    </p>
    <p class="commitdetails"><strong>75</strong> lines of code changed in <span class="files">11 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsFile.java?rev=1.25&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsFile.java</a>&#160;<span class="change">(+3&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/model/CvsFileTest.java?rev=1.8&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+6&#160;-2)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CPUPage.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CPUPage.java</a>&#160;<span class="change">(+6)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CommitLogPage.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitLogPage.java</a>&#160;<span class="change">(+7)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/HTMLPage.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">HTMLPage.java</a>&#160;<span class="change">(+14&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/IndexPage.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">IndexPage.java</a>&#160;<span class="change">(+3)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/LOCPage.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">LOCPage.java</a>&#160;<span class="change">(+3)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ModulePage.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">ModulePage.java</a>&#160;<span class="change">(+10)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/ModuleSizesPage.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">ModuleSizesPage.java</a>&#160;<span class="change">(+3)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/UserPage.java?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">UserPage.java</a>&#160;<span class="change">(+16&#160;-19)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/renderer</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/renderer/LOCChart.java?rev=1.21&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">LOCChart.java</a>&#160;<span class="change">(+4&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="5"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2002-12-07 04:49</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.22</span></span>
  </dt>
  <dd>
    <p class="comment">
Bug fixed: cvs log does no longer need to have a full space line at the very end
    </p>
    <p class="commitdetails"><strong>6</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/input</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/input/CvsFileBlockParser.java?r1=1.21&amp;r2=1.22" class="webrepository">CvsFileBlockParser.java</a>&#160;<span class="change">(+6&#160;-3)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="4"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2002-08-12 22:16</span>
  </dt>
  <dd>
    <p class="comment">
Path seperator refactored
    </p>
    <p class="commitdetails"><strong>22</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/src/net/sf/statcvs/output</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/output/CommandLineOptions.java?rev=1.13&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommandLineOptions.java</a>&#160;<span class="change">(+5&#160;-6)</span>
      </li>
      <li>
        <strong>statcvs/src/net/sf/statcvs/util</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/src/net/sf/statcvs/util/FileUtils.java?r1=1.7&amp;r2=1.8" class="webrepository">FileUtils.java</a>&#160;<span class="change">(+17&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="3"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2002-08-12 22:16</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.2</span></span>
  </dt>
  <dd>
    <p class="comment">
Prerequisities added
    </p>
    <p class="commitdetails"><strong>10</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/userguide.txt?rev=1.2&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">userguide.txt</a>&#160;<span class="change">(+10&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="2"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2002-08-12 00:08</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.7</span></span>
  </dt>
  <dd>
    <p class="comment">
Checkstyle task removed
    </p>
    <p class="commitdetails"><strong>0</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/build.xml?r1=1.6&amp;r2=1.7" class="webrepository">build.xml</a>&#160;<span class="change">(-13)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="1"></a>
    <a href="user_lukasz.html" class="author">Lukasz Pekacki</a>
    <span class="date">2002-08-12 00:07</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.2</span></span>
  </dt>
  <dd>
    <p class="comment">
Checkstyle nature added
    </p>
    <p class="commitdetails"><strong>6</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/.project?r1=1.1&amp;r2=1.2" class="webrepository">.project</a>&#160;<span class="change">(+6)</span>
      </li>
    </ul>
  </dd>

</dl>

<p>(81 more)</p>
</subsection></div></section><div id="generatedby">Generated by <a href="http://statcvs.sourceforge.net">StatCVS</a> 0.4.0</div>
</body>
</document>